import{s as Pt,n as Yt,o as Ft}from"../chunks/scheduler.85c25b89.js";import{S as Vt,i as At,g as s,s as i,r as o,A as St,h as p,f as l,c as a,j as Q,u as r,x as u,k as Et,y as m,a as n,v as d,d as c,t as f,w as h}from"../chunks/index.c9837788.js";import{C as y}from"../chunks/CodeBlock.52fa569e.js";import{H as Mt}from"../chunks/Heading.3097d2ed.js";function Qt(Ht){let g,O,q,K,b,tt,w,Ut="Before you start, you’ll need to setup your environment and install the appropriate packages. <code>timm</code> is tested on <strong>Python 3+</strong>.",et,M,lt,T,Wt='You should install <code>timm</code> in a <a href="https://docs.python.org/3/library/venv.html" rel="nofollow">virtual environment</a> to keep things tidy and avoid dependency conflicts.',nt,$,J,P,Gt="Create and navigate to your project directory:",Tt,_,Jt,j,Y,Lt="Start a virtual environment inside your directory:",_t,x,jt,v,F,kt="Activate and deactivate the virtual environment with the following commands:",xt,C,Ct,V,It="<code>Once you&#39;ve created your virtual environment, you can install</code>timm` in it.",it,H,at,U,Rt="The most straightforward way to install <code>timm</code> is with pip:",st,W,pt,G,Zt="Alternatively, you can install <code>timm</code> from GitHub directly to get the latest, bleeding-edge version:",mt,L,ot,k,Nt="Run the following command to check if <code>timm</code> has been properly installed:",rt,I,dt,R,Xt="This command lists the first five pretrained models available in <code>timm</code> (which are sorted alphebetically). You should see the following output:",ct,Z,ft,N,ht,X,zt="Building <code>timm</code> from source lets you make changes to the code base. To install from the source, clone the repository and install with the following commands:",ut,z,$t,B,Bt="Again, you can check if <code>timm</code> was properly installed with the following command:",gt,E,vt,D,yt;return b=new Mt({props:{title:"Installation",local:"installation",headingTag:"h1"}}),M=new Mt({props:{title:"Virtual Environment",local:"virtual-environment",headingTag:"h2"}}),_=new y({props:{code:"bWtkaXIlMjB+JTJGbXktcHJvamVjdCUwQWNkJTIwfiUyRm15LXByb2plY3Q=",highlighted:`<span class="hljs-built_in">mkdir</span> ~/my-project
<span class="hljs-built_in">cd</span> ~/my-project`,wrap:!1}}),x=new y({props:{code:"cHl0aG9uJTIwLW0lMjB2ZW52JTIwLmVudg==",highlighted:'python -m venv .<span class="hljs-built_in">env</span>',wrap:!1}}),C=new y({props:{code:"JTIzJTIwQWN0aXZhdGUlMjB0aGUlMjB2aXJ0dWFsJTIwZW52aXJvbm1lbnQlMEFzb3VyY2UlMjAuZW52JTJGYmluJTJGYWN0aXZhdGUlMEElMEElMjMlMjBEZWFjdGl2YXRlJTIwdGhlJTIwdmlydHVhbCUyMGVudmlyb25tZW50JTBBc291cmNlJTIwLmVudiUyRmJpbiUyRmRlYWN0aXZhdGU=",highlighted:`<span class="hljs-comment"># Activate the virtual environment</span>
<span class="hljs-built_in">source</span> .<span class="hljs-built_in">env</span>/bin/activate

<span class="hljs-comment"># Deactivate the virtual environment</span>
<span class="hljs-built_in">source</span> .<span class="hljs-built_in">env</span>/bin/deactivate`,wrap:!1}}),H=new Mt({props:{title:"Using pip",local:"using-pip",headingTag:"h2"}}),W=new y({props:{code:"cGlwJTIwaW5zdGFsbCUyMHRpbW0=",highlighted:"pip install timm",wrap:!1}}),L=new y({props:{code:"cGlwJTIwaW5zdGFsbCUyMGdpdCUyQmh0dHBzJTNBJTJGJTJGZ2l0aHViLmNvbSUyRnJ3aWdodG1hbiUyRnB5dG9yY2gtaW1hZ2UtbW9kZWxzLmdpdA==",highlighted:"pip install git+https://github.com/rwightman/pytorch-image-models.git",wrap:!1}}),I=new y({props:{code:"cHl0aG9uJTIwLWMlMjAlMjJmcm9tJTIwdGltbSUyMGltcG9ydCUyMGxpc3RfbW9kZWxzJTNCJTIwcHJpbnQobGlzdF9tb2RlbHMocHJldHJhaW5lZCUzRFRydWUpJTVCJTNBNSU1RCklMjI=",highlighted:'python -c <span class="hljs-string">&quot;from timm import list_models; print(list_models(pretrained=True)[:5])&quot;</span>',wrap:!1}}),Z=new y({props:{code:"JTVCJ2Fkdl9pbmNlcHRpb25fdjMnJTJDJTIwJ2JhdF9yZXNuZXh0MjZ0cyclMkMlMjAnYmVpdF9iYXNlX3BhdGNoMTZfMjI0JyUyQyUyMCdiZWl0X2Jhc2VfcGF0Y2gxNl8yMjRfaW4yMmsnJTJDJTIwJ2JlaXRfYmFzZV9wYXRjaDE2XzM4NCclNUQ=",highlighted:'[<span class="hljs-string">&#x27;adv_inception_v3&#x27;</span>, <span class="hljs-string">&#x27;bat_resnext26ts&#x27;</span>, <span class="hljs-string">&#x27;beit_base_patch16_224&#x27;</span>, <span class="hljs-string">&#x27;beit_base_patch16_224_in22k&#x27;</span>, <span class="hljs-string">&#x27;beit_base_patch16_384&#x27;</span>]',wrap:!1}}),N=new Mt({props:{title:"From Source",local:"from-source",headingTag:"h2"}}),z=new y({props:{code:"Z2l0JTIwY2xvbmUlMjBodHRwcyUzQSUyRiUyRmdpdGh1Yi5jb20lMkZyd2lnaHRtYW4lMkZweXRvcmNoLWltYWdlLW1vZGVscy5naXQlMEFjZCUyMHRpbW0lMEFwaXAlMjBpbnN0YWxsJTIwLWUlMjAu",highlighted:`git <span class="hljs-built_in">clone</span> https://github.com/rwightman/pytorch-image-models.git
<span class="hljs-built_in">cd</span> timm
pip install -e .`,wrap:!1}}),E=new y({props:{code:"cHl0aG9uJTIwLWMlMjAlMjJmcm9tJTIwdGltbSUyMGltcG9ydCUyMGxpc3RfbW9kZWxzJTNCJTIwcHJpbnQobGlzdF9tb2RlbHMocHJldHJhaW5lZCUzRFRydWUpJTVCJTNBNSU1RCklMjI=",highlighted:'python -c <span class="hljs-string">&quot;from timm import list_models; print(list_models(pretrained=True)[:5])&quot;</span>',wrap:!1}}),{c(){g=s("meta"),O=i(),q=s("p"),K=i(),o(b.$$.fragment),tt=i(),w=s("p"),w.innerHTML=Ut,et=i(),o(M.$$.fragment),lt=i(),T=s("p"),T.innerHTML=Wt,nt=i(),$=s("ol"),J=s("li"),P=s("p"),P.textContent=Gt,Tt=i(),o(_.$$.fragment),Jt=i(),j=s("li"),Y=s("p"),Y.textContent=Lt,_t=i(),o(x.$$.fragment),jt=i(),v=s("li"),F=s("p"),F.textContent=kt,xt=i(),o(C.$$.fragment),Ct=i(),V=s("p"),V.innerHTML=It,it=i(),o(H.$$.fragment),at=i(),U=s("p"),U.innerHTML=Rt,st=i(),o(W.$$.fragment),pt=i(),G=s("p"),G.innerHTML=Zt,mt=i(),o(L.$$.fragment),ot=i(),k=s("p"),k.innerHTML=Nt,rt=i(),o(I.$$.fragment),dt=i(),R=s("p"),R.innerHTML=Xt,ct=i(),o(Z.$$.fragment),ft=i(),o(N.$$.fragment),ht=i(),X=s("p"),X.innerHTML=zt,ut=i(),o(z.$$.fragment),$t=i(),B=s("p"),B.innerHTML=Bt,gt=i(),o(E.$$.fragment),vt=i(),D=s("p"),this.h()},l(t){const e=St("svelte-u9bgzb",document.head);g=p(e,"META",{name:!0,content:!0}),e.forEach(l),O=a(t),q=p(t,"P",{}),Q(q).forEach(l),K=a(t),r(b.$$.fragment,t),tt=a(t),w=p(t,"P",{"data-svelte-h":!0}),u(w)!=="svelte-1qm30ue"&&(w.innerHTML=Ut),et=a(t),r(M.$$.fragment,t),lt=a(t),T=p(t,"P",{"data-svelte-h":!0}),u(T)!=="svelte-1tspkue"&&(T.innerHTML=Wt),nt=a(t),$=p(t,"OL",{});var A=Q($);J=p(A,"LI",{});var bt=Q(J);P=p(bt,"P",{"data-svelte-h":!0}),u(P)!=="svelte-1r7xizg"&&(P.textContent=Gt),Tt=a(bt),r(_.$$.fragment,bt),bt.forEach(l),Jt=a(A),j=p(A,"LI",{});var wt=Q(j);Y=p(wt,"P",{"data-svelte-h":!0}),u(Y)!=="svelte-f9gewz"&&(Y.textContent=Lt),_t=a(wt),r(x.$$.fragment,wt),wt.forEach(l),jt=a(A),v=p(A,"LI",{});var S=Q(v);F=p(S,"P",{"data-svelte-h":!0}),u(F)!=="svelte-1emagpr"&&(F.textContent=kt),xt=a(S),r(C.$$.fragment,S),Ct=a(S),V=p(S,"P",{"data-svelte-h":!0}),u(V)!=="svelte-1rhbetf"&&(V.innerHTML=It),S.forEach(l),A.forEach(l),it=a(t),r(H.$$.fragment,t),at=a(t),U=p(t,"P",{"data-svelte-h":!0}),u(U)!=="svelte-1ofkc7p"&&(U.innerHTML=Rt),st=a(t),r(W.$$.fragment,t),pt=a(t),G=p(t,"P",{"data-svelte-h":!0}),u(G)!=="svelte-8jifzq"&&(G.innerHTML=Zt),mt=a(t),r(L.$$.fragment,t),ot=a(t),k=p(t,"P",{"data-svelte-h":!0}),u(k)!=="svelte-1gn5ojl"&&(k.innerHTML=Nt),rt=a(t),r(I.$$.fragment,t),dt=a(t),R=p(t,"P",{"data-svelte-h":!0}),u(R)!=="svelte-1o1qut7"&&(R.innerHTML=Xt),ct=a(t),r(Z.$$.fragment,t),ft=a(t),r(N.$$.fragment,t),ht=a(t),X=p(t,"P",{"data-svelte-h":!0}),u(X)!=="svelte-5qedlp"&&(X.innerHTML=zt),ut=a(t),r(z.$$.fragment,t),$t=a(t),B=p(t,"P",{"data-svelte-h":!0}),u(B)!=="svelte-tvmqyx"&&(B.innerHTML=Bt),gt=a(t),r(E.$$.fragment,t),vt=a(t),D=p(t,"P",{}),Q(D).forEach(l),this.h()},h(){Et(g,"name","hf:doc:metadata"),Et(g,"content",qt)},m(t,e){m(document.head,g),n(t,O,e),n(t,q,e),n(t,K,e),d(b,t,e),n(t,tt,e),n(t,w,e),n(t,et,e),d(M,t,e),n(t,lt,e),n(t,T,e),n(t,nt,e),n(t,$,e),m($,J),m(J,P),m(J,Tt),d(_,J,null),m($,Jt),m($,j),m(j,Y),m(j,_t),d(x,j,null),m($,jt),m($,v),m(v,F),m(v,xt),d(C,v,null),m(v,Ct),m(v,V),n(t,it,e),d(H,t,e),n(t,at,e),n(t,U,e),n(t,st,e),d(W,t,e),n(t,pt,e),n(t,G,e),n(t,mt,e),d(L,t,e),n(t,ot,e),n(t,k,e),n(t,rt,e),d(I,t,e),n(t,dt,e),n(t,R,e),n(t,ct,e),d(Z,t,e),n(t,ft,e),d(N,t,e),n(t,ht,e),n(t,X,e),n(t,ut,e),d(z,t,e),n(t,$t,e),n(t,B,e),n(t,gt,e),d(E,t,e),n(t,vt,e),n(t,D,e),yt=!0},p:Yt,i(t){yt||(c(b.$$.fragment,t),c(M.$$.fragment,t),c(_.$$.fragment,t),c(x.$$.fragment,t),c(C.$$.fragment,t),c(H.$$.fragment,t),c(W.$$.fragment,t),c(L.$$.fragment,t),c(I.$$.fragment,t),c(Z.$$.fragment,t),c(N.$$.fragment,t),c(z.$$.fragment,t),c(E.$$.fragment,t),yt=!0)},o(t){f(b.$$.fragment,t),f(M.$$.fragment,t),f(_.$$.fragment,t),f(x.$$.fragment,t),f(C.$$.fragment,t),f(H.$$.fragment,t),f(W.$$.fragment,t),f(L.$$.fragment,t),f(I.$$.fragment,t),f(Z.$$.fragment,t),f(N.$$.fragment,t),f(z.$$.fragment,t),f(E.$$.fragment,t),yt=!1},d(t){t&&(l(O),l(q),l(K),l(tt),l(w),l(et),l(lt),l(T),l(nt),l($),l(it),l(at),l(U),l(st),l(pt),l(G),l(mt),l(ot),l(k),l(rt),l(dt),l(R),l(ct),l(ft),l(ht),l(X),l(ut),l($t),l(B),l(gt),l(vt),l(D)),l(g),h(b,t),h(M,t),h(_),h(x),h(C),h(H,t),h(W,t),h(L,t),h(I,t),h(Z,t),h(N,t),h(z,t),h(E,t)}}}const qt='{"title":"Installation","local":"installation","sections":[{"title":"Virtual Environment","local":"virtual-environment","sections":[],"depth":2},{"title":"Using pip","local":"using-pip","sections":[],"depth":2},{"title":"From Source","local":"from-source","sections":[],"depth":2}],"depth":1}';function Dt(Ht){return Ft(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class le extends Vt{constructor(g){super(),At(this,g,Dt,Qt,Pt,{})}}export{le as component};
